purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Errors.JSON

# Documentation

data ErrorPosition #

Constructors

ErrorPosition |

Fields

- startLine :: Int
- startColumn :: Int
- endLine :: Int
- endColumn :: Int

#### Instances

Instances details

FromJSON ErrorPosition # |
Instance details Defined in Language.PureScript.Errors.JSON Methods parseJSON :: Value -> Parser ErrorPosition # parseJSONList :: Value -> Parser [ErrorPosition] # omittedField :: Maybe ErrorPosition #
ToJSON ErrorPosition # |
Instance details Defined in Language.PureScript.Errors.JSON Methods toJSON :: ErrorPosition -> Value # toEncoding :: ErrorPosition -> Encoding # toJSONList :: [ErrorPosition] -> Value # toEncodingList :: [ErrorPosition] -> Encoding # omitField :: ErrorPosition -> Bool #
Show ErrorPosition # |
Instance details Defined in Language.PureScript.Errors.JSON Methods showsPrec :: Int -> ErrorPosition -> ShowS # show :: ErrorPosition -> String # showList :: [ErrorPosition] -> ShowS #
Eq ErrorPosition # |
Instance details Defined in Language.PureScript.Errors.JSON Methods (==) :: ErrorPosition -> ErrorPosition -> Bool # (/=) :: ErrorPosition -> ErrorPosition -> Bool #
Ord ErrorPosition # |

Instance details

Defined in Language.PureScript.Errors.JSON

Methods

compare :: ErrorPosition -> ErrorPosition -> Ordering #

(<) :: ErrorPosition -> ErrorPosition -> Bool #

(<=) :: ErrorPosition -> ErrorPosition -> Bool #

(>) :: ErrorPosition -> ErrorPosition -> Bool #

(>=) :: ErrorPosition -> ErrorPosition -> Bool #

max :: ErrorPosition -> ErrorPosition -> ErrorPosition #

min :: ErrorPosition -> ErrorPosition -> ErrorPosition #

data ErrorSuggestion #

Constructors

ErrorSuggestion |

Fields

- replacement :: Text
- replaceRange :: Maybe ErrorPosition

#### Instances

Instances details

FromJSON ErrorSuggestion # |
Instance details Defined in Language.PureScript.Errors.JSON Methods parseJSON :: Value -> Parser ErrorSuggestion # parseJSONList :: Value -> Parser [ErrorSuggestion] # omittedField :: Maybe ErrorSuggestion #
ToJSON ErrorSuggestion # |
Instance details Defined in Language.PureScript.Errors.JSON Methods toJSON :: ErrorSuggestion -> Value # toEncoding :: ErrorSuggestion -> Encoding # toJSONList :: [ErrorSuggestion] -> Value # toEncodingList :: [ErrorSuggestion] -> Encoding # omitField :: ErrorSuggestion -> Bool #
Show ErrorSuggestion # |
Instance details Defined in Language.PureScript.Errors.JSON Methods showsPrec :: Int -> ErrorSuggestion -> ShowS # show :: ErrorSuggestion -> String # showList :: [ErrorSuggestion] -> ShowS #
Eq ErrorSuggestion # |
Instance details Defined in Language.PureScript.Errors.JSON Methods (==) :: ErrorSuggestion -> ErrorSuggestion -> Bool # (/=) :: ErrorSuggestion -> ErrorSuggestion -> Bool #

data JSONError #

Constructors

JSONError |

Fields

- position :: Maybe ErrorPosition
- message :: String
- errorCode :: Text
- errorLink :: Text
- filename :: Maybe String
- moduleName :: Maybe Text
- suggestion :: Maybe ErrorSuggestion
- allSpans :: [SourceSpan]

#### Instances

Instances details

FromJSON JSONError # |
Instance details Defined in Language.PureScript.Errors.JSON Methods parseJSON :: Value -> Parser JSONError # parseJSONList :: Value -> Parser [JSONError] # omittedField :: Maybe JSONError #
ToJSON JSONError # |
Instance details Defined in Language.PureScript.Errors.JSON Methods toJSON :: JSONError -> Value # toEncoding :: JSONError -> Encoding # toJSONList :: [JSONError] -> Value # toEncodingList :: [JSONError] -> Encoding # omitField :: JSONError -> Bool #
Show JSONError # |
Instance details Defined in Language.PureScript.Errors.JSON Methods showsPrec :: Int -> JSONError -> ShowS # show :: JSONError -> String # showList :: [JSONError] -> ShowS #
Eq JSONError # |
Instance details Defined in Language.PureScript.Errors.JSON Methods (==) :: JSONError -> JSONError -> Bool # (/=) :: JSONError -> JSONError -> Bool #

data JSONResult #

Constructors

JSONResult |

Fields

- warnings :: [JSONError]
- errors :: [JSONError]

#### Instances

Instances details

FromJSON JSONResult # |
Instance details Defined in Language.PureScript.Errors.JSON Methods parseJSON :: Value -> Parser JSONResult # parseJSONList :: Value -> Parser [JSONResult] # omittedField :: Maybe JSONResult #
ToJSON JSONResult # |
Instance details Defined in Language.PureScript.Errors.JSON Methods toJSON :: JSONResult -> Value # toEncoding :: JSONResult -> Encoding # toJSONList :: [JSONResult] -> Value # toEncodingList :: [JSONResult] -> Encoding # omitField :: JSONResult -> Bool #
Show JSONResult # |
Instance details Defined in Language.PureScript.Errors.JSON Methods showsPrec :: Int -> JSONResult -> ShowS # show :: JSONResult -> String # showList :: [JSONResult] -> ShowS #
Eq JSONResult # |
Instance details Defined in Language.PureScript.Errors.JSON Methods (==) :: JSONResult -> JSONResult -> Bool # (/=) :: JSONResult -> JSONResult -> Bool #

toJSONErrors :: Bool -> Level -> [(FilePath, Text)] -> MultipleErrors -> [JSONError] #

toJSONError :: Bool -> Level -> [(FilePath, Text)] -> ErrorMessage -> JSONError #